package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.LogAuditoria;

import br.com.rjconsultores.auditador.model.AuditadorObjects;

public interface LogAuditoriaService extends GenericService<LogAuditoria, Long> {
	
	public void auditar(Object objetoOriginal, Object objetoNovo, Integer empresaId);
	
	public void auditarExclusao(Object objeto, Integer empresaId);
	
	public List<String> listarTodasAsTelas();
	
	public void suscribir(List<AuditadorObjects> lsObjects, Integer empresaId);
	
}
